server {
    listen 192.168.1.2:80;
    server_name webmail.vrem.ro;
    charset	utf-8;
    root /var/www/html/roundcubemail;
    index index.php;

    client_max_body_size 128M;

    access_log /var/log/nginx/webmail.vrem.ro.access.log;
    error_log /var/log/nginx/webmail.vrem.ro.error.log;

    location / {
            try_files $uri $uri/ /index.php?q=$uri&$args;
    }

    location ~* \.php$ {
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        include       fastcgi_params;
        fastcgi_pass  unix:/var/run/php-fpm.sock;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_buffer_size 16k;
        fastcgi_buffers 4 16k;
    }
 
    location ^~ /data {
         deny all;
    }

   # gzip should not be used with SSL
   gzip off;
   
   ### redirect
   #if ($scheme != "https") {
   #    return 301 https://$host$request_uri;
   #} # managed by Certbot

}
